Bug 60016 - Network Configuration tools crash if files are present in /etc/sysconfig/networking/
Summary: Network Configuration tools crash if files are present in /etc/sysconfig/netw...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-19 03:38 UTC by Philip Unger
Modified: 2015-03-05 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-15 10:29:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Unger 2002-02-19 03:38:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I found a very annoying bug that affects Network Configuration (neat) and
Internet Configuration wizard (internet-druid). I was trying to solve ppp
connect problems. While using nautilus to view some of the directories holding
the ppp configuration files, in particular /etc/sysconfig/networking/ and its
subdirectories, I changed to list-view and sorted by date to find out which
files were being changed. This left hidden ".nautilus-metadata.xml" files in the
afore-mentioned directories. The presence of those files caused neat and
internet-druid to crash without a meaningful message. I think it was the latest
version of neat that showed me a message about something not being a directory
and let me go into python debug where I displayed the variable as holding
".nautilus-metadata.xml".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Display /etc/sysconfig/networking/ and subdirectories in nautilus.
2.Switch from icon view to list view, and sort by date
3.Try running /usr/sbin/neat or /usr/sbin/internet-druid
	

Actual Results:  Application crashes.

Expected Results:  No crash.

Additional info:

Occurs with out of the box version.
Updated version of neat at least displays a message and allows entry to debug
environment which allowed me to figure it out.
Deleting the extraneous hidden files allow the application to work.

Comment 1 Harald Hoyer 2002-04-03 12:19:34 UTC
# touch  /etc/sysconfig/networking/profiles/.nautilus-metadata.xml 
 
 Traceback (innermost last): 
  File "netconf.py", line 1406, in ? 
    window = mainDialog() 
  File "netconf.py", line 227, in __init__ 
    self.load() 
  File "netconf.py", line 246, in load 
    self.loadProfiles() 
  File "netconf.py", line 259, in loadProfiles 
    profilelist = getProfileList() 
  File "netconfpkg/NCProfileList.py", line 369, in getProfileList 
    PFList.load() 
  File "netconfpkg/NCProfileList.py", line 64, in load 
    devlist = os.listdir(SYSCONFPROFILEDIR + '/' + pr) 
OSError: [Errno 20] Ist kein Verzeichnis 
 
> netconfpkg/NCProfileList.py(64)load() 
-> devlist = os.listdir(SYSCONFPROFILEDIR + '/' + pr)

Comment 2 Harald Hoyer 2002-04-03 12:25:00 UTC
fix will be in 0.9.22

Comment 3 Trond Eivind Glomsrxd 2002-04-12 00:39:52 UTC
Is this stil a problem with version 0.9.24 at http://people.redhat.com/teg/neat/ ?

Comment 4 Phil Knirsch 2002-06-26 12:54:58 UTC
Waiting for user response.

Read ya, Phil

Comment 5 Harald Hoyer 2003-01-13 15:18:25 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 6 Phil Knirsch 2003-12-15 10:29:36 UTC
Closing as fixed CURRENTRELEASE.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.